package domain;

import junit.framework.*;

public class DeckTest extends TestCase {
   public void testCreate() {
      Deck deck = new Deck();
      assertEquals(Deck.SIZE, deck.cardsRemaining());
      for (Suit suit: Suit.values())
         for (Rank rank: Rank.values())
            assertTrue(deck.contains(rank, suit));
   }
}